=== debian/changelog ===
ros-indigo-openrtm-ros-bridge (1.4.2-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 22 Dec 2017 00:00:00 -0000

ros-indigo-openrtm-ros-bridge (1.4.1-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 25 Oct 2017 00:00:00 -0000

ros-indigo-openrtm-ros-bridge (1.4.0-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 09 Aug 2017 00:00:00 -0000

ros-indigo-openrtm-ros-bridge (1.3.3-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 12 Feb 2017 00:00:00 -0000

ros-indigo-openrtm-ros-bridge (1.3.2-0trusty) trusty; urgency=high

  * [refactor] remove old rosbuild files
  * [openrtm_ros_bridge] Fix genjava problem build_depend message_generation
  * Contributors: Kentaro Wada, Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 26 Apr 2016 00:00:00 -0000

ros-indigo-openrtm-ros-bridge (1.3.1-0trusty) trusty; urgency=high

  * deb release only targeting to indigo

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 16 Dec 2015 00:00:00 -0000

ros-indigo-openrtm-ros-bridge (1.3.0-0trusty) trusty; urgency=high

  * deb release only targeting to indigo
  * [openrtm_ros_bridge] Add gitignore to ignore auto-generated files
  * Contributors: Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 09 Dec 2015 00:00:00 -0000

ros-indigo-openrtm-ros-bridge (1.2.14-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 23 Jun 2015 00:00:00 -0000

ros-indigo-openrtm-ros-bridge (1.2.13-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 11 Jun 2015 00:00:00 -0000

ros-indigo-openrtm-ros-bridge (1.2.12-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 27 Apr 2015 00:00:00 -0000

ros-indigo-openrtm-ros-bridge (1.2.11-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 25 Apr 2015 00:00:00 -0000

ros-indigo-openrtm-ros-bridge (1.2.10-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 24 Apr 2015 00:00:00 -0000

ros-indigo-openrtm-ros-bridge (1.2.9-0trusty) trusty; urgency=high

  * [openrtm_ros_bridge/samples/myservice_example.launch] use MyService{Provider,Consumer}Comp of  openrtm_tools
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 11 Apr 2015 00:00:00 -0000

ros-indigo-openrtm-ros-bridge (1.2.8-0trusty) trusty; urgency=high

  * [openrtm_ros_bridge] Fix path to rtmbuild cmake
  * Contributors: Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 09 Mar 2015 00:00:00 -0000

ros-indigo-openrtm-ros-bridge (1.2.7-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2015 00:00:00 -0000

ros-indigo-openrtm-ros-bridge (1.2.6-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 10 Oct 2014 00:00:00 -0000

ros-indigo-openrtm-ros-bridge (1.2.5-0trusty) trusty; urgency=high

  * Add depend on std_msgs
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 04 Oct 2014 00:00:00 -0000

ros-indigo-openrtm-ros-bridge (1.2.4-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 08 Sep 2014 00:00:00 -0000

ros-indigo-openrtm-ros-bridge (1.2.3-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 03 Sep 2014 00:00:00 -0000

ros-indigo-openrtm-ros-bridge (1.2.2-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 31 Aug 2014 00:00:00 -0000

ros-indigo-openrtm-ros-bridge (1.2.1-0trusty) trusty; urgency=high

  * (index.rst) Add usage api doc
  * (package.xml files) Update repository URLs
  * Contributors: Isaac IY Saito, Isaac Isao Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 23 Jun 2014 00:00:00 -0000

ros-indigo-openrtm-ros-bridge (1.2.0-0trusty) trusty; urgency=high

  * bump to 1.2.0for hrpsys 315.2.0

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 14 May 2014 00:00:00 -0000

ros-indigo-openrtm-ros-bridge (1.0.12-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 06 May 2014 00:00:00 -0000

ros-indigo-openrtm-ros-bridge (1.0.11-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 16 Apr 2014 00:00:00 -0000

ros-indigo-openrtm-ros-bridge (1.0.10-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 15 Apr 2014 00:00:00 -0000

ros-indigo-openrtm-ros-bridge (1.0.9-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 14 Apr 2014 00:00:00 -0000

ros-indigo-openrtm-ros-bridge (1.0.8-0trusty) trusty; urgency=high

  * use start_omninames.sh for rosdevel build environment, see #400 <https://github.com/start-jsk/rtmros_common/issues/400>
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 14 Apr 2014 00:00:00 -0000

ros-indigo-openrtm-ros-bridge (1.0.7-0trusty) trusty; urgency=high

  * openrtm_ros_bridge: (test_myservice_rosbridge.test) add retry=4
  * openrtm_ros_bridge: mv samples/test_myservice_rosbridge.* -> test/test_myservice_rosbridge.* and add test to CMakeLists.txt/catkin.cmake
  * disable openrtm_ros_bridge/rosbuil test for now
  * Wrong catkin macro (CATKIN-DEPENDS to CATKIN_DEPENDS).
  * use pkg-config to find directories
  * disable test_myservice_rosbridge.launch, is is not working right now

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 20 Mar 2014 00:00:00 -0000
