=== debian/control ===
Source: ros-indigo-openrtm-ros-bridge
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-openrtm-tools, ros-indigo-roscpp, ros-indigo-rostest, ros-indigo-rtmbuild, ros-indigo-std-msgs
Homepage: http://wiki.ros.org/openrtm_ros_bridge
Standards-Version: 3.9.2

Package: ros-indigo-openrtm-ros-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-openrtm-tools, ros-indigo-roscpp, ros-indigo-std-msgs
Description: openrtm_ros_bridge package provides basic functionalities to bind two robotics framework: OpenRTM and ROS.
 By using this package, you can write your ROS packages that communicate with your non-ROS robots that run on OpenRTM. For communicating with the robots that run on hrpsys, you can use hrpsys_ros_bridge package.
